	.file	"leak-pool.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.type	VALGRIND_PRINTF, @function
VALGRIND_PRINTF:
.LFB0:
	.file 1 "../../include/valgrind.h"
	.loc 1 3715 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$48, %esp
	.loc 1 3725 0
	leal	12(%ebp), %eax
	movl	%eax, -8(%ebp)
.LBB2:
	.loc 1 3733 0
	movl	$5123, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	leal	-8(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 3733 "../../include/valgrind.h" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE2:
	movl	%eax, -4(%ebp)
	.loc 1 3740 0
	movl	-4(%ebp), %eax
	.loc 1 3742 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	VALGRIND_PRINTF, .-VALGRIND_PRINTF
	.type	VALGRIND_PRINTF_BACKTRACE, @function
VALGRIND_PRINTF_BACKTRACE:
.LFB1:
	.loc 1 3753 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$48, %esp
	.loc 1 3763 0
	leal	12(%ebp), %eax
	movl	%eax, -8(%ebp)
.LBB3:
	.loc 1 3771 0
	movl	$5124, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	leal	-8(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 3771 "../../include/valgrind.h" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE3:
	movl	%eax, -4(%ebp)
	.loc 1 3778 0
	movl	-4(%ebp), %eax
	.loc 1 3780 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	VALGRIND_PRINTF_BACKTRACE, .-VALGRIND_PRINTF_BACKTRACE
	.section	.rodata
.LC0:
	.string	"leak-pool.c"
.LC1:
	.string	"p->used + n < p->allocated"
	.text
.globl allocate_from_pool
	.type	allocate_from_pool, @function
allocate_from_pool:
.LFB2:
	.file 2 "leak-pool.c"
	.loc 2 24 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$56, %esp
	.loc 2 25 0
	movl	8(%ebp), %eax
	movl	8(%eax), %edx
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	leal	(%edx,%eax), %eax
	movl	%eax, -12(%ebp)
	.loc 2 26 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	movl	%eax, %edx
	addl	12(%ebp), %edx
	movl	8(%ebp), %eax
	movl	(%eax), %eax
	cmpl	%eax, %edx
	jb	.L6
	movl	$__PRETTY_FUNCTION__.2082, 12(%esp)
	movl	$26, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L6:
.LBB4:
	.loc 2 27 0
	movl	$4869, -36(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -32(%ebp)
	movl	-12(%ebp), %eax
	movl	%eax, -28(%ebp)
	movl	12(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	leal	-36(%ebp), %eax
	movl	$0, %edx
#APP
# 27 "leak-pool.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -40(%ebp)
	movl	-40(%ebp), %eax
.LBE4:
	.loc 2 28 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	movl	%eax, %edx
	addl	12(%ebp), %edx
	movl	8(%ebp), %eax
	movl	%edx, 4(%eax)
	.loc 2 29 0
	movl	-12(%ebp), %eax
	.loc 2 30 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	allocate_from_pool, .-allocate_from_pool
	.section	.rodata
.LC2:
	.string	"p"
.LC3:
	.string	"p->buf"
	.text
.globl allocate_pool
	.type	allocate_pool, @function
allocate_pool:
.LFB3:
	.loc 2 34 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$88, %esp
	.loc 2 35 0
	movl	$12, (%esp)
	call	malloc
	movl	%eax, -12(%ebp)
	.loc 2 36 0
	cmpl	$0, -12(%ebp)
	jne	.L9
	movl	$__PRETTY_FUNCTION__.2101, 12(%esp)
	movl	$36, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC2, (%esp)
	call	__assert_fail
.L9:
	.loc 2 37 0
	movl	-12(%ebp), %eax
	movl	$4096, (%eax)
	.loc 2 38 0
	movl	-12(%ebp), %eax
	movl	$0, 4(%eax)
	.loc 2 39 0
	movl	-12(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	malloc
	movl	%eax, %edx
	movl	-12(%ebp), %eax
	movl	%edx, 8(%eax)
	.loc 2 40 0
	movl	-12(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jne	.L10
	movl	$__PRETTY_FUNCTION__.2101, 12(%esp)
	movl	$40, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC3, (%esp)
	call	__assert_fail
.L10:
	.loc 2 41 0
	movl	-12(%ebp), %eax
	movl	(%eax), %edx
	movl	-12(%ebp), %eax
	movl	8(%eax), %eax
	movl	%edx, 8(%esp)
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	memset
.LBB5:
	.loc 2 42 0
	movl	$4867, -36(%ebp)
	movl	-12(%ebp), %eax
	movl	%eax, -32(%ebp)
	movl	$0, -28(%ebp)
	movl	$0, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	leal	-36(%ebp), %eax
	movl	$0, %edx
#APP
# 42 "leak-pool.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -40(%ebp)
	movl	-40(%ebp), %eax
.LBE5:
.LBB6:
	.loc 2 43 0
	movl	$1296236544, -64(%ebp)
	movl	-12(%ebp), %eax
	movl	8(%eax), %eax
	movl	%eax, -60(%ebp)
	movl	-12(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, -56(%ebp)
	movl	$0, -52(%ebp)
	movl	$0, -48(%ebp)
	movl	$0, -44(%ebp)
	leal	-64(%ebp), %eax
	movl	$0, %edx
#APP
# 43 "leak-pool.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -68(%ebp)
	movl	-68(%ebp), %eax
.LBE6:
	.loc 2 44 0
	movl	-12(%ebp), %eax
	.loc 2 45 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	allocate_pool, .-allocate_pool
.globl static_roots
	.bss
	.align 4
	.type	static_roots, @object
	.size	static_roots, 4
static_roots:
	.zero	4
.globl trim_pool
	.align 4
	.type	trim_pool, @object
	.size	trim_pool, 4
trim_pool:
	.zero	4
.globl destroy_pool
	.align 4
	.type	destroy_pool, @object
	.size	destroy_pool, 4
destroy_pool:
	.zero	4
	.section	.rodata
.LC4:
	.string	"0"
	.text
.globl set_flags
	.type	set_flags, @function
set_flags:
.LFB4:
	.loc 2 54 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$24, %esp
	.loc 2 55 0
	cmpl	$5, 8(%ebp)
	ja	.L13
	movl	8(%ebp), %eax
	sall	$2, %eax
	movl	.L20(%eax), %eax
	jmp	*%eax
	.section	.rodata
	.align 4
	.align 4
.L20:
	.long	.L14
	.long	.L15
	.long	.L16
	.long	.L17
	.long	.L18
	.long	.L19
	.text
.L14:
	.loc 2 57 0
	movl	$0, static_roots
	.loc 2 58 0
	movl	$0, trim_pool
	.loc 2 59 0
	movl	$0, destroy_pool
	.loc 2 60 0
	jmp	.L22
.L15:
	.loc 2 62 0
	movl	$0, static_roots
	.loc 2 63 0
	movl	$1, trim_pool
	.loc 2 64 0
	movl	$0, destroy_pool
	.loc 2 65 0
	jmp	.L22
.L16:
	.loc 2 67 0
	movl	$0, static_roots
	.loc 2 68 0
	movl	$0, trim_pool
	.loc 2 69 0
	movl	$1, destroy_pool
	.loc 2 70 0
	jmp	.L22
.L17:
	.loc 2 72 0
	movl	$1, static_roots
	.loc 2 73 0
	movl	$0, trim_pool
	.loc 2 74 0
	movl	$0, destroy_pool
	.loc 2 75 0
	jmp	.L22
.L18:
	.loc 2 77 0
	movl	$1, static_roots
	.loc 2 78 0
	movl	$1, trim_pool
	.loc 2 79 0
	movl	$0, destroy_pool
	.loc 2 80 0
	jmp	.L22
.L19:
	.loc 2 82 0
	movl	$1, static_roots
	.loc 2 83 0
	movl	$0, trim_pool
	.loc 2 84 0
	movl	$1, destroy_pool
	.loc 2 85 0
	nop
	jmp	.L22
.L13:
	.loc 2 87 0
	movl	$__PRETTY_FUNCTION__.2138, 12(%esp)
	movl	$87, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC4, (%esp)
	call	__assert_fail
.L22:
	.loc 2 89 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	set_flags, .-set_flags
	.comm	cells_static,400,32
	.section	.rodata
.LC5:
	.string	"argc == 2"
.LC6:
	.string	"argv[1]"
.LC7:
	.string	"strlen(argv[1]) == 1"
	.align 4
.LC8:
	.string	"argv[1][0] >= '0' && argv[1][0] <= '5'"
	.text
.globl main
	.type	main, @function
main:
.LFB5:
	.loc 2 96 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	pushl	%ebx
	subl	$508, %esp
	.loc 2 100 0
	.cfi_escape 0x10,0x3,0x7,0x75,0x0,0x9,0xf0,0x1a,0x34,0x1c
	call	allocate_pool
	movl	%eax, 488(%esp)
	.loc 2 101 0
	movl	static_roots, %eax
	testl	%eax, %eax
	jne	.L24
	leal	80(%esp), %eax
	jmp	.L25
.L24:
	movl	$cells_static, %eax
.L25:
	movl	%eax, 492(%esp)
	.loc 2 103 0
	cmpl	$2, 8(%ebp)
	je	.L26
	movl	$__PRETTY_FUNCTION__.2149, 12(%esp)
	movl	$103, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC5, (%esp)
	call	__assert_fail
.L26:
	.loc 2 104 0
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	testl	%eax, %eax
	jne	.L27
	movl	$__PRETTY_FUNCTION__.2149, 12(%esp)
	movl	$104, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L27:
	.loc 2 105 0
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	strlen
	cmpl	$1, %eax
	je	.L28
	movl	$__PRETTY_FUNCTION__.2149, 12(%esp)
	movl	$105, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC7, (%esp)
	call	__assert_fail
.L28:
	.loc 2 106 0
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movzbl	(%eax), %eax
	cmpb	$47, %al
	jle	.L29
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movzbl	(%eax), %eax
	cmpb	$53, %al
	jle	.L30
.L29:
	movl	$__PRETTY_FUNCTION__.2149, 12(%esp)
	movl	$106, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC8, (%esp)
	call	__assert_fail
.L30:
	.loc 2 107 0
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	movl	%eax, 480(%esp)
	.loc 2 108 0
	movl	480(%esp), %eax
	movl	%eax, (%esp)
	call	set_flags
	.loc 2 110 0
	movl	$400, 8(%esp)
	movl	$0, 4(%esp)
	movl	$cells_static, (%esp)
	call	memset
	.loc 2 111 0
	movl	$400, 8(%esp)
	movl	$0, 4(%esp)
	leal	80(%esp), %eax
	movl	%eax, (%esp)
	call	memset
	.loc 2 113 0
	movl	$0, 484(%esp)
	jmp	.L31
.L32:
	.loc 2 114 0
	movl	484(%esp), %eax
	sall	$2, %eax
	movl	%eax, %ebx
	addl	492(%esp), %ebx
	movl	$8, 4(%esp)
	movl	488(%esp), %eax
	movl	%eax, (%esp)
	call	allocate_from_pool
	movl	%eax, (%ebx)
	.loc 2 113 0
	addl	$1, 484(%esp)
.L31:
	cmpl	$99, 484(%esp)
	jbe	.L32
	.loc 2 117 0
	movl	trim_pool, %eax
	testl	%eax, %eax
	je	.L33
.LBB7:
	.loc 2 118 0
	movl	$4871, 56(%esp)
	movl	488(%esp), %eax
	movl	%eax, 60(%esp)
	movl	488(%esp), %eax
	movl	8(%eax), %eax
	addl	$80, %eax
	movl	%eax, 64(%esp)
	movl	$162, 68(%esp)
	movl	$0, 72(%esp)
	movl	$0, 76(%esp)
	leal	56(%esp), %eax
	movl	$0, %edx
#APP
# 118 "leak-pool.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 52(%esp)
	movl	52(%esp), %eax
.L33:
.LBE7:
	.loc 2 122 0
	movl	destroy_pool, %eax
	testl	%eax, %eax
	je	.L34
.LBB8:
	.loc 2 123 0
	movl	$4868, 28(%esp)
	movl	488(%esp), %eax
	movl	%eax, 32(%esp)
	movl	$0, 36(%esp)
	movl	$0, 40(%esp)
	movl	$0, 44(%esp)
	movl	$0, 48(%esp)
	leal	28(%esp), %eax
	movl	$0, %edx
#APP
# 123 "leak-pool.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, 24(%esp)
	movl	24(%esp), %eax
.L34:
.LBE8:
	.loc 2 125 0
	movl	$0, %eax
	.loc 2 126 0
	addl	$508, %esp
	popl	%ebx
	.cfi_restore 3
	movl	%ebp, %esp
	.cfi_def_cfa_register 4
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa_offset 4
	ret
	.cfi_endproc
.LFE5:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.2149, @object
	.size	__PRETTY_FUNCTION__.2149, 5
__PRETTY_FUNCTION__.2149:
	.string	"main"
	.type	__PRETTY_FUNCTION__.2138, @object
	.size	__PRETTY_FUNCTION__.2138, 10
__PRETTY_FUNCTION__.2138:
	.string	"set_flags"
	.type	__PRETTY_FUNCTION__.2101, @object
	.size	__PRETTY_FUNCTION__.2101, 14
__PRETTY_FUNCTION__.2101:
	.string	"allocate_pool"
	.type	__PRETTY_FUNCTION__.2082, @object
	.size	__PRETTY_FUNCTION__.2082, 19
__PRETTY_FUNCTION__.2082:
	.string	"allocate_from_pool"
	.text
.Letext0:
	.file 3 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 4 "/usr/include/stdint.h"
	.file 5 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stdarg.h"
	.file 6 "../memcheck.h"
	.section	.debug_info
	.long	0x6a2
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF82
	.byte	0x1
	.long	.LASF83
	.long	.LASF84
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF10
	.byte	0x3
	.byte	0xd3
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF1
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF2
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF3
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF4
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF5
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF8
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x7e
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x2
	.long	.LASF11
	.byte	0x4
	.byte	0x31
	.long	0x4c
	.uleb128 0x6
	.byte	0x4
	.long	0x96
	.uleb128 0x7
	.long	0x7e
	.uleb128 0x2
	.long	.LASF12
	.byte	0x5
	.byte	0x28
	.long	0xa6
	.uleb128 0x8
	.byte	0x4
	.long	.LASF85
	.long	0x7e
	.uleb128 0x2
	.long	.LASF13
	.byte	0x5
	.byte	0x66
	.long	0x9b
	.uleb128 0x9
	.byte	0x4
	.byte	0x1
	.value	0xe16
	.long	0x190
	.uleb128 0xa
	.long	.LASF14
	.sleb128 4097
	.uleb128 0xa
	.long	.LASF15
	.sleb128 4098
	.uleb128 0xa
	.long	.LASF16
	.sleb128 4353
	.uleb128 0xa
	.long	.LASF17
	.sleb128 4354
	.uleb128 0xa
	.long	.LASF18
	.sleb128 4355
	.uleb128 0xa
	.long	.LASF19
	.sleb128 4356
	.uleb128 0xa
	.long	.LASF20
	.sleb128 4609
	.uleb128 0xa
	.long	.LASF21
	.sleb128 4610
	.uleb128 0xa
	.long	.LASF22
	.sleb128 4865
	.uleb128 0xa
	.long	.LASF23
	.sleb128 4875
	.uleb128 0xa
	.long	.LASF24
	.sleb128 4866
	.uleb128 0xa
	.long	.LASF25
	.sleb128 4867
	.uleb128 0xa
	.long	.LASF26
	.sleb128 4868
	.uleb128 0xa
	.long	.LASF27
	.sleb128 4869
	.uleb128 0xa
	.long	.LASF28
	.sleb128 4870
	.uleb128 0xa
	.long	.LASF29
	.sleb128 4871
	.uleb128 0xa
	.long	.LASF30
	.sleb128 4872
	.uleb128 0xa
	.long	.LASF31
	.sleb128 4873
	.uleb128 0xa
	.long	.LASF32
	.sleb128 4874
	.uleb128 0xa
	.long	.LASF33
	.sleb128 5121
	.uleb128 0xa
	.long	.LASF34
	.sleb128 5122
	.uleb128 0xa
	.long	.LASF35
	.sleb128 5123
	.uleb128 0xa
	.long	.LASF36
	.sleb128 5124
	.uleb128 0xa
	.long	.LASF37
	.sleb128 5377
	.uleb128 0xa
	.long	.LASF38
	.sleb128 5378
	.uleb128 0xa
	.long	.LASF39
	.sleb128 5379
	.uleb128 0xa
	.long	.LASF40
	.sleb128 5633
	.uleb128 0xa
	.long	.LASF41
	.sleb128 5889
	.uleb128 0xa
	.long	.LASF42
	.sleb128 6145
	.byte	0x0
	.uleb128 0xb
	.byte	0x4
	.byte	0x6
	.byte	0x4f
	.long	0x225
	.uleb128 0xa
	.long	.LASF43
	.sleb128 1296236544
	.uleb128 0xa
	.long	.LASF44
	.sleb128 1296236545
	.uleb128 0xa
	.long	.LASF45
	.sleb128 1296236546
	.uleb128 0xa
	.long	.LASF46
	.sleb128 1296236547
	.uleb128 0xa
	.long	.LASF47
	.sleb128 1296236548
	.uleb128 0xa
	.long	.LASF48
	.sleb128 1296236549
	.uleb128 0xa
	.long	.LASF49
	.sleb128 1296236550
	.uleb128 0xa
	.long	.LASF50
	.sleb128 1296236551
	.uleb128 0xa
	.long	.LASF51
	.sleb128 1296236552
	.uleb128 0xa
	.long	.LASF52
	.sleb128 1296236553
	.uleb128 0xa
	.long	.LASF53
	.sleb128 1296236554
	.uleb128 0xa
	.long	.LASF54
	.sleb128 1296236555
	.uleb128 0xa
	.long	.LASF55
	.sleb128 1296236556
	.uleb128 0xa
	.long	.LASF56
	.sleb128 1296236800
	.byte	0x0
	.uleb128 0xc
	.long	.LASF58
	.byte	0x8
	.byte	0x2
	.byte	0xa
	.long	0x248
	.uleb128 0xd
	.long	.LASF57
	.byte	0x2
	.byte	0xb
	.long	0x248
	.sleb128 0
	.uleb128 0xe
	.string	"x"
	.byte	0x2
	.byte	0xc
	.long	0x3e
	.sleb128 4
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x225
	.uleb128 0xc
	.long	.LASF59
	.byte	0xc
	.byte	0x2
	.byte	0x10
	.long	0x27f
	.uleb128 0xd
	.long	.LASF60
	.byte	0x2
	.byte	0x11
	.long	0x25
	.sleb128 0
	.uleb128 0xd
	.long	.LASF61
	.byte	0x2
	.byte	0x12
	.long	0x25
	.sleb128 4
	.uleb128 0xe
	.string	"buf"
	.byte	0x2
	.byte	0x13
	.long	0x27f
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x85
	.uleb128 0xf
	.long	.LASF66
	.byte	0x1
	.value	0xe82
	.byte	0x1
	.long	0x3e
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x2f7
	.uleb128 0x10
	.long	.LASF68
	.byte	0x1
	.value	0xe82
	.long	0x90
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x11
	.uleb128 0x12
	.long	.LASF62
	.byte	0x1
	.value	0xe8a
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.uleb128 0x12
	.long	.LASF63
	.byte	0x1
	.value	0xe8c
	.long	0xb0
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x13
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x12
	.long	.LASF64
	.byte	0x1
	.value	0xe95
	.long	0x307
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x12
	.long	.LASF65
	.byte	0x1
	.value	0xe95
	.long	0x30c
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.long	0x30
	.long	0x307
	.uleb128 0x15
	.long	0x30
	.byte	0x5
	.byte	0x0
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x16
	.long	0x30
	.uleb128 0xf
	.long	.LASF67
	.byte	0x1
	.value	0xea8
	.byte	0x1
	.long	0x3e
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x383
	.uleb128 0x10
	.long	.LASF68
	.byte	0x1
	.value	0xea8
	.long	0x90
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x11
	.uleb128 0x12
	.long	.LASF62
	.byte	0x1
	.value	0xeb0
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.uleb128 0x12
	.long	.LASF63
	.byte	0x1
	.value	0xeb2
	.long	0xb0
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x13
	.long	.LBB3
	.long	.LBE3
	.uleb128 0x12
	.long	.LASF64
	.byte	0x1
	.value	0xebb
	.long	0x383
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x12
	.long	.LASF65
	.byte	0x1
	.value	0xebb
	.long	0x30c
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x17
	.byte	0x1
	.long	.LASF72
	.byte	0x2
	.byte	0x17
	.byte	0x1
	.long	0x76
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x3fe
	.uleb128 0x18
	.string	"p"
	.byte	0x2
	.byte	0x17
	.long	0x3fe
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x18
	.string	"n"
	.byte	0x2
	.byte	0x17
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x19
	.string	"a"
	.byte	0x2
	.byte	0x19
	.long	0x76
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x1a
	.long	.LASF69
	.long	0x414
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2082
	.uleb128 0x13
	.long	.LBB4
	.long	.LBE4
	.uleb128 0x1b
	.long	.LASF64
	.byte	0x2
	.byte	0x1b
	.long	0x419
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.uleb128 0x1b
	.long	.LASF65
	.byte	0x2
	.byte	0x1b
	.long	0x30c
	.byte	0x2
	.byte	0x91
	.sleb128 -48
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x24e
	.uleb128 0x14
	.long	0x7e
	.long	0x414
	.uleb128 0x15
	.long	0x30
	.byte	0x12
	.byte	0x0
	.uleb128 0x7
	.long	0x404
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x1c
	.byte	0x1
	.long	.LASF70
	.byte	0x2
	.byte	0x21
	.long	0x3fe
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.long	0x4a7
	.uleb128 0x19
	.string	"p"
	.byte	0x2
	.byte	0x23
	.long	0x3fe
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x1a
	.long	.LASF69
	.long	0x4b7
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2101
	.uleb128 0x1d
	.long	.LBB5
	.long	.LBE5
	.long	0x47e
	.uleb128 0x1b
	.long	.LASF64
	.byte	0x2
	.byte	0x2a
	.long	0x4bc
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.uleb128 0x1b
	.long	.LASF65
	.byte	0x2
	.byte	0x2a
	.long	0x30c
	.byte	0x2
	.byte	0x91
	.sleb128 -48
	.byte	0x0
	.uleb128 0x13
	.long	.LBB6
	.long	.LBE6
	.uleb128 0x1b
	.long	.LASF64
	.byte	0x2
	.byte	0x2b
	.long	0x4c1
	.byte	0x3
	.byte	0x91
	.sleb128 -72
	.uleb128 0x1b
	.long	.LASF65
	.byte	0x2
	.byte	0x2b
	.long	0x30c
	.byte	0x3
	.byte	0x91
	.sleb128 -76
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.long	0x7e
	.long	0x4b7
	.uleb128 0x15
	.long	0x30
	.byte	0xd
	.byte	0x0
	.uleb128 0x7
	.long	0x4a7
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x1e
	.byte	0x1
	.long	.LASF71
	.byte	0x2
	.byte	0x35
	.byte	0x1
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x4fa
	.uleb128 0x18
	.string	"n"
	.byte	0x2
	.byte	0x35
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1a
	.long	.LASF69
	.long	0x50a
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2138
	.byte	0x0
	.uleb128 0x14
	.long	0x7e
	.long	0x50a
	.uleb128 0x15
	.long	0x30
	.byte	0x9
	.byte	0x0
	.uleb128 0x7
	.long	0x4fa
	.uleb128 0x17
	.byte	0x1
	.long	.LASF73
	.byte	0x2
	.byte	0x5f
	.byte	0x1
	.long	0x3e
	.long	.LFB5
	.long	.LFE5
	.byte	0x1
	.byte	0x9c
	.long	0x5ee
	.uleb128 0x1f
	.long	.LASF74
	.byte	0x2
	.byte	0x5f
	.long	0x3e
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1f
	.long	.LASF75
	.byte	0x2
	.byte	0x5f
	.long	0x5ee
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x1b
	.long	.LASF76
	.byte	0x2
	.byte	0x61
	.long	0x5f4
	.byte	0x3
	.byte	0x74
	.sleb128 80
	.uleb128 0x19
	.string	"arg"
	.byte	0x2
	.byte	0x62
	.long	0x3e
	.byte	0x3
	.byte	0x74
	.sleb128 480
	.uleb128 0x19
	.string	"i"
	.byte	0x2
	.byte	0x63
	.long	0x25
	.byte	0x3
	.byte	0x74
	.sleb128 484
	.uleb128 0x19
	.string	"p"
	.byte	0x2
	.byte	0x64
	.long	0x3fe
	.byte	0x3
	.byte	0x74
	.sleb128 488
	.uleb128 0x1b
	.long	.LASF77
	.byte	0x2
	.byte	0x65
	.long	0x604
	.byte	0x3
	.byte	0x74
	.sleb128 492
	.uleb128 0x1a
	.long	.LASF69
	.long	0x61a
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2149
	.uleb128 0x1d
	.long	.LBB7
	.long	.LBE7
	.long	0x5c7
	.uleb128 0x1b
	.long	.LASF64
	.byte	0x2
	.byte	0x76
	.long	0x61f
	.byte	0x2
	.byte	0x74
	.sleb128 56
	.uleb128 0x1b
	.long	.LASF65
	.byte	0x2
	.byte	0x76
	.long	0x30c
	.byte	0x2
	.byte	0x74
	.sleb128 52
	.byte	0x0
	.uleb128 0x13
	.long	.LBB8
	.long	.LBE8
	.uleb128 0x1b
	.long	.LASF64
	.byte	0x2
	.byte	0x7b
	.long	0x624
	.byte	0x2
	.byte	0x74
	.sleb128 28
	.uleb128 0x1b
	.long	.LASF65
	.byte	0x2
	.byte	0x7b
	.long	0x30c
	.byte	0x2
	.byte	0x74
	.sleb128 24
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x78
	.uleb128 0x14
	.long	0x248
	.long	0x604
	.uleb128 0x15
	.long	0x30
	.byte	0x63
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x248
	.uleb128 0x14
	.long	0x7e
	.long	0x61a
	.uleb128 0x15
	.long	0x30
	.byte	0x4
	.byte	0x0
	.uleb128 0x7
	.long	0x60a
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x16
	.long	0x2f7
	.uleb128 0x20
	.long	.LASF78
	.byte	0x2
	.byte	0x32
	.long	0x3e
	.byte	0x1
	.byte	0x1
	.uleb128 0x20
	.long	.LASF79
	.byte	0x2
	.byte	0x33
	.long	0x3e
	.byte	0x1
	.byte	0x1
	.uleb128 0x20
	.long	.LASF80
	.byte	0x2
	.byte	0x34
	.long	0x3e
	.byte	0x1
	.byte	0x1
	.uleb128 0x20
	.long	.LASF81
	.byte	0x2
	.byte	0x5c
	.long	0x5f4
	.byte	0x1
	.byte	0x1
	.uleb128 0x21
	.long	.LASF78
	.byte	0x2
	.byte	0x32
	.long	0x3e
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	static_roots
	.uleb128 0x21
	.long	.LASF79
	.byte	0x2
	.byte	0x33
	.long	0x3e
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	trim_pool
	.uleb128 0x21
	.long	.LASF80
	.byte	0x2
	.byte	0x34
	.long	0x3e
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	destroy_pool
	.uleb128 0x21
	.long	.LASF81
	.byte	0x2
	.byte	0x5c
	.long	0x5f4
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	cells_static
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x28
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x18
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.uleb128 0x35
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x19
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1a
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1b
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1c
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1d
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1e
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1f
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x20
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x21
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x8f
	.value	0x2
	.long	.Ldebug_info0
	.long	0x6a6
	.long	0x388
	.string	"allocate_from_pool"
	.long	0x41e
	.string	"allocate_pool"
	.long	0x4c6
	.string	"set_flags"
	.long	0x50f
	.string	"main"
	.long	0x65d
	.string	"static_roots"
	.long	0x66f
	.string	"trim_pool"
	.long	0x681
	.string	"destroy_pool"
	.long	0x693
	.string	"cells_static"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x56
	.value	0x2
	.long	.Ldebug_info0
	.long	0x6a6
	.long	0x25
	.string	"size_t"
	.long	0x85
	.string	"uint8_t"
	.long	0x9b
	.string	"__gnuc_va_list"
	.long	0xb0
	.string	"va_list"
	.long	0x225
	.string	"cell"
	.long	0x24e
	.string	"pool"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF10:
	.string	"size_t"
.LASF50:
	.string	"VG_USERREQ__COUNT_LEAKS"
.LASF70:
	.string	"allocate_pool"
.LASF13:
	.string	"va_list"
.LASF67:
	.string	"VALGRIND_PRINTF_BACKTRACE"
.LASF8:
	.string	"long long unsigned int"
.LASF25:
	.string	"VG_USERREQ__CREATE_MEMPOOL"
.LASF57:
	.string	"next"
.LASF37:
	.string	"VG_USERREQ__STACK_REGISTER"
.LASF2:
	.string	"long long int"
.LASF6:
	.string	"signed char"
.LASF69:
	.string	"__PRETTY_FUNCTION__"
.LASF80:
	.string	"destroy_pool"
.LASF33:
	.string	"VG_USERREQ__PRINTF"
.LASF24:
	.string	"VG_USERREQ__FREELIKE_BLOCK"
.LASF18:
	.string	"VG_USERREQ__CLIENT_CALL2"
.LASF1:
	.string	"long int"
.LASF85:
	.string	"__builtin_va_list"
.LASF46:
	.string	"VG_USERREQ__DISCARD"
.LASF83:
	.string	"leak-pool.c"
.LASF45:
	.string	"VG_USERREQ__MAKE_MEM_DEFINED"
.LASF78:
	.string	"static_roots"
.LASF0:
	.string	"unsigned int"
.LASF21:
	.string	"VG_USERREQ__GDB_MONITOR_COMMAND"
.LASF16:
	.string	"VG_USERREQ__CLIENT_CALL0"
.LASF17:
	.string	"VG_USERREQ__CLIENT_CALL1"
.LASF5:
	.string	"long unsigned int"
.LASF19:
	.string	"VG_USERREQ__CLIENT_CALL3"
.LASF31:
	.string	"VG_USERREQ__MEMPOOL_CHANGE"
.LASF72:
	.string	"allocate_from_pool"
.LASF71:
	.string	"set_flags"
.LASF4:
	.string	"short unsigned int"
.LASF28:
	.string	"VG_USERREQ__MEMPOOL_FREE"
.LASF29:
	.string	"VG_USERREQ__MEMPOOL_TRIM"
.LASF55:
	.string	"VG_USERREQ__COUNT_LEAK_BLOCKS"
.LASF63:
	.string	"vargs"
.LASF27:
	.string	"VG_USERREQ__MEMPOOL_ALLOC"
.LASF62:
	.string	"_qzz_res"
.LASF39:
	.string	"VG_USERREQ__STACK_CHANGE"
.LASF77:
	.string	"cells"
.LASF64:
	.string	"_zzq_args"
.LASF40:
	.string	"VG_USERREQ__LOAD_PDB_DEBUGINFO"
.LASF60:
	.string	"allocated"
.LASF36:
	.string	"VG_USERREQ__PRINTF_BACKTRACE_VALIST_BY_REF"
.LASF12:
	.string	"__gnuc_va_list"
.LASF54:
	.string	"VG_USERREQ__MAKE_MEM_DEFINED_IF_ADDRESSABLE"
.LASF41:
	.string	"VG_USERREQ__MAP_IP_TO_SRCLOC"
.LASF42:
	.string	"VG_USERREQ__CHANGE_ERR_DISABLEMENT"
.LASF61:
	.string	"used"
.LASF34:
	.string	"VG_USERREQ__PRINTF_BACKTRACE"
.LASF14:
	.string	"VG_USERREQ__RUNNING_ON_VALGRIND"
.LASF47:
	.string	"VG_USERREQ__CHECK_MEM_IS_ADDRESSABLE"
.LASF26:
	.string	"VG_USERREQ__DESTROY_MEMPOOL"
.LASF82:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF30:
	.string	"VG_USERREQ__MOVE_MEMPOOL"
.LASF65:
	.string	"_zzq_result"
.LASF3:
	.string	"unsigned char"
.LASF52:
	.string	"VG_USERREQ__SET_VBITS"
.LASF44:
	.string	"VG_USERREQ__MAKE_MEM_UNDEFINED"
.LASF7:
	.string	"short int"
.LASF48:
	.string	"VG_USERREQ__CHECK_MEM_IS_DEFINED"
.LASF68:
	.string	"format"
.LASF84:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests"
.LASF58:
	.string	"cell"
.LASF66:
	.string	"VALGRIND_PRINTF"
.LASF76:
	.string	"cells_local"
.LASF9:
	.string	"char"
.LASF15:
	.string	"VG_USERREQ__DISCARD_TRANSLATIONS"
.LASF43:
	.string	"VG_USERREQ__MAKE_MEM_NOACCESS"
.LASF79:
	.string	"trim_pool"
.LASF49:
	.string	"VG_USERREQ__DO_LEAK_CHECK"
.LASF20:
	.string	"VG_USERREQ__COUNT_ERRORS"
.LASF22:
	.string	"VG_USERREQ__MALLOCLIKE_BLOCK"
.LASF81:
	.string	"cells_static"
.LASF51:
	.string	"VG_USERREQ__GET_VBITS"
.LASF75:
	.string	"argv"
.LASF35:
	.string	"VG_USERREQ__PRINTF_VALIST_BY_REF"
.LASF59:
	.string	"pool"
.LASF11:
	.string	"uint8_t"
.LASF38:
	.string	"VG_USERREQ__STACK_DEREGISTER"
.LASF32:
	.string	"VG_USERREQ__MEMPOOL_EXISTS"
.LASF74:
	.string	"argc"
.LASF56:
	.string	"_VG_USERREQ__MEMCHECK_RECORD_OVERLAP_ERROR"
.LASF73:
	.string	"main"
.LASF53:
	.string	"VG_USERREQ__CREATE_BLOCK"
.LASF23:
	.string	"VG_USERREQ__RESIZEINPLACE_BLOCK"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
